<!doctype html>
<html lang="en">
    <head>
        <meta charset="UTF-8"> 
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Brenton Kelly / Front End Web Developer</title>
        <link type="text/css" rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:ital,wght@0,300;0,400;0,600;1,300;1,400&display=swap" />
        <link type="text/css" rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css" />
        <link type="text/css" rel="stylesheet" href="./dist/css/index.css" />
        <script src="https://cdnjs.cloudflare.com/ajax/libs/headjs/1.0.3/head.min.js" integrity="sha512-8Nk/zoTKjNixnM15wXjpF26KR4Ln87cc5Yllc5xP54wwbcKnljAAn2JP+tYAS8+4e7s/XK8XTiDH0Ltw2fmoBQ==" crossorigin="anonymous"></script>
    </head>

    <body>
        <div id="page">
            <div id="skip-link"><a href="#main-content">Skip to main content</a></div>
            <header>
                <div id="intro-bg"></div>
                <section id="utility-bar-outer" class="section-parent">
                    <div id="utility-bar" class="section">
                        <ul class="list-reset">
                            <li>
                                <span class="ally-feature-label">High Contrast Mode</span>
                                <a href="#" role="button" id="ally-hc-toggle" class="a11y-feature" aria-label="Turn on high contrast mode" data-hc-state="off">
                                    <span id="hc-on">ON</span>
                                    <span id="hc-off">OFF</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </section>
                <nav id="nav-outer" class="section-parent">
                    <div id="nav" class="section">
                        <ul class="list-reset">
                            <li><a href="#" class="nav-link about" data-section="profile">About Me</a></li>
                            <li><a href="#" class="nav-link education" data-section="education">Education</a></li>
                            <li><a href="#" class="nav-link expertise" data-section="skills">Expertise</a></li>
                            <li><a href="#" class="nav-link experience" data-section="experience">Work Experience</a></li>
                            <li><a href="#" class="nav-link work" data-section="work">Work Samples</a></li>
                            <li><a href="#" class="nav-link contact" data-section="contact">Contact Me</a></li>
                        </ul>
                    </div>
                </nav>
                <section id="intro-outer" class="section-parent">
                    <div id="intro" class="section">
                        <div id="intro-content" tabindex="0">
                            <h1>Brenton Kelly</h1>
                            <p>Professional Front End Developer creating effective, modern, responsive and accessible web solutions since 2009.</p>
                        </div>
                        <a href="#" role="button" aria-label="Scroll to main content" tabindex="-1" aria-hidden="true" id="scroll-down" class="icon-arrow-down animate__animated animate__bounce animate__delay-2s"></a>
                    </div>
                </section>
            </header>
            <a name="main-content" tabindex="-1"></a>
            <main>
                <section id="profile-outer" class="section-parent">
                    <div id="profile" class="section">
                        <h2 class="section-title">A Little About Me</h2>
                        <p>I've been developing web solutions since 2009 and I can't imagine myself in any other profession. The ever changing nature of the field is what makes it so much fun. I love learning new things in web development and it's always a great feeling when you build something brand new or solve a complex problem and you feel like you've moved up a skill level.</p>
                        <p>My passion is helping people solve unique problems with high-performing solutions. This work ranges from small to large scale while incorporating both front end and back end technologies. I have extensive experience with HTML, CSS, JavaScript/jQuery, API integration, accessibility (WCAG and Section 508), responsive development, single-page applications, various libraries and frameworks and more. In addition to my front end expertise, I also have experience building solutions server-side with PHP, ASP and MySQL.</p>
                        <p>I am a huge advocate for building/improving efficiencies and creating effective workflows. I am very detail-oriented, responsive and take quality work very seriously. I have won several awards for innovation and excellence while also leading a small team of very talented web developers.</p>
                        <p>When I get the chance to get away from the computer, I enjoy mountain biking, skiing, camping, traveling and automotive building/restoration. I was recently fortunate enough to take a trip out and hike the Grand Canyon. That is an experience that I recommend to everyone! It's great to have those opportunities where you can turn off the computer and the cell phone and just let your day-to-day life go!</p>
                    </div>
                </section>
                <section id="education-skills-outer" class="section-parent dynamic-section">
                    <div id="education-skills" class="section">
                        <div id="education" class="not-loaded">
                            <h2 class="section-title">Education</h2>
                            <ul class="list-reset">
                                <li>
                                    <h3 class="degree">Master of Arts</h3>
                                    <p class="institution">
                                        <span class="name">Indiana University of Pennsylvania</span>
                                        <span class="timeframe">August 2010 - August 2011</span>
                                    </p>
                                    <p class="program">Adult Education and Communications Technology Program</p>
                                    <p class="gpa">4.0/4.0 GPA, Graduated with high honors</p>
                                </li>
                                <li>
                                    <h3 class="degree">Bachelor of Science</h3>
                                    <p class="institution">
                                        <span class="name">Indiana University of Pennsylvania</span>
                                        <span class="timeframe">June 2009 - August 2010</span>
                                    </p>
                                    <p class="program">Communications Media - Web Development</p>
                                    <p class="gpa">4.0/4.0 major QPA, Graduated with honors</p>
                                </li>
                                <li>
                                    <h3 class="degree">Associate of Applied Arts</h3>
                                    <p class="institution">
                                        <span class="name">Pennsylvania College of Technology</span>
                                        <span class="timeframe">August 2003 - May 2006</span>
                                    </p>
                                    <p class="program">Mass Media Communications - Video Production</p>
                                </li>
                            </ul>
                        </div>
                        <div id="skills">
                            <h2 class="section-title">Expertise</h2>
                            <ul class="list-reset">
                                <li>HTML</li>
                                <li>CSS</li>
                                <li>JavaScript</li>
                                <li>jQuery</li>
                                <li>JSON</li>
                                <li>AJAX</li>
                                <li>webpack</li>
                                <li>Babel</li>
                                <li>SASS/SCSS</li>
                                <li>Git</li>
                                <li>GitHub/GitLab</li>
                                <li>Firebase</li>
                                <li>jQuery UI</li>
                                <li>ASP</li>
                                <li>Adobe Creative Suite</li>
                                <li>Wordpress</li>
                                <li>AngularJS</li>
                                <li>PHP</li>
                                <li>MySQL</li>
                                <li>REST APIs</li>
                                <li>Google Analytics/APIs</li>
                                <li>Team Leadership</li>
                                <li>Accessibility</li>
                                <li>JSONP</li>
                                <li>Web Standards</li>
                                <li>npm</li>
                                <li>Cross-browser Compatibility</li>
                                <li>Cypress</li>
                                <li>Client Services</li>
                                <li>Talent Management</li>
                                <li>Node.js</li>
                                <li>Responsive Web Development</li>
                                <li>HTML Semantics</li>
                                <li>OOP</li>
                                <li>Technical Troubleshooting</li>
                                <li>Web Content Accessibility Guidelines</li>
                                <li>Section 508</li>
                                <li>React</li>
                                <li>Next.js</li>
                                <li>TypeScript</li>
                                <li>Jest</li>
                                <li>React Testing Library</li>
                                <li>Python</li>
                                <li>MAMP</li>
                                <li>Accessibility Remediation</li>
                                <li>VoiceOver</li>
                            </ul>
                        </div>
                    </div>
                </section>
                <section id="experience-outer" class="section-parent">
                    <div id="experience" class="section">
                        <h2 class="section-title">Work Experience</h2>
                        <ul class="list-reset">
                            <li>
                                <h3 class="title">Senior Front-End Engineer</h3>
                                <p class="company">
                                    <span class="name">CivicActions</span>
                                    <span class="timeframe">October 2022 - Present</span>
                                </p>
                                <p class="location">Remote</p>
                                <div class="description">
                                  <p>Front-end engineer on Centers for Medicare & Medicaid Services’ (CMS) Provider Data Catalog (PDC) application. Focus on improving the user experience of the application through rich accessibility and application improvements based on user feedback. Execute features using Storybook to build UI components, React, Webpack, E2E testing with Cypress and unit testing with React Testing Library and Jest. Conduct weekly site release demos for Provider Data Catalog (PDC) Care Settings teams and answer questions and provide additional information as needed. Communicate and coordinate directly with Provider Data Catalog (PDC) stakeholders on a daily basis. Manage all code and reviews via Git and GitHub. Schedule and manage work/tasks via Agile methodology through Jira and Confluence for supporting information. Work directly with other developers, designers, producers and other team members on a daily basis.</p>
                                  <p>Also provide front-end support for Centers for Medicare & Medicaid Services’ (CMS) Medical Billing Rights (MBR) application as a React SME.</p>
                                </div>
                            </li>
                            <li>
                                <h3 class="title">Senior Software Engineer</h3>
                                <p class="company">
                                    <span class="name">PowerSchool</span>
                                    <span class="timeframe">April 2022 - September 2022</span>
                                </p>
                                <p class="location">Remote</p>
                                <div class="description">
                                  <p>Front-end engineer on PowerSchool's Unified Classroom Behavior Support application. Focused on improving the user experience of the application. Executed features using React with MobX for state management, TypeScript, Webpack and unit testing with React Testing Library and Jest. Built API's via AWS CDK using API Gateway, Lambda's, etc. Managed all code and reviews via Git and GitHub. Scheduled and managed work/tasks via Agile methodology through Jira and Confluence for supporting information. Worked directly with other developers, designers, producers and other team members on a daily basis.</p>
                                </div>
                            </li>
                            <li>
                                <h3 class="title">Senior Developer</h3>
                                <p class="company">
                                    <span class="name">Last Call Media</span>
                                    <span class="timeframe">April 2021 - April 2022</span>
                                </p>
                                <p class="location">Remote</p>
                                <div class="description">
                                  <p>Full-stack developer on Team X with four other full-stack developers. Developed custom features for the Paid Family and Medical Leave portal for the state of Massachusetts. Executed features using React, Next.js and TypeScript for the front-end and Python, Postgres and SQLAlchemy for the back-end. Tested all code using Jest, React Testing Library and pytest. Managed all code and reviews via GitHub. Wrote GitHub workflows to automate formatting, linting, testing, deployment, etc. Scheduled and managed work/tasks via Agile methodology through Jira and Confluence for supporting information. Worked directly with other developers, designers, producers and other team members on a daily basis. Participated in weekly technical decision meetings with a committee of other developers. Participated in Team X standups and retrospectives on a daily/weekly basis.</p>
                                </div>
                            </li>
                            <li>
                                <h3 class="title">Senior Manager, Web Development</h3>
                                <p class="company">
                                    <span class="name">Blackboard</span>
                                    <span class="timeframe">May 2019 - April 2021</span>
                                </p>
                                <p class="location">Remote</p>
                                <div class="description">
                                    <p>Lead a team of five front-end web developers while also maintaining high performance as a front-end web developer across multiple products within a global SaaS company.</p>
                                    <p>Development:<br />Develop custom, responsive web solutions using HTML, CSS, JavaScript/jQuery, JSON(P), REST API’s, Git, various libraries and frameworks and more. Ensure that all solutions are developed and maintained for accessibility based on the latest Web Content Accessibility Guidelines (WCAG) and requirements of Section 508. Engineer solutions with object-oriented programming for optimal organization, performance, usability and scalability. Collaborate and work cross-functionally to scope, plan, and execute development projects to exact specifications. Create and continuously improve development and workflow efficiencies as tools, technologies and markets evolve. Work closely with other Creative developers to share knowledge and experiences to ultimately grow and excel collectively.</p>
                                    <p>Management:<br />Oversee execution of development projects and scheduling of service delivery. Exercise performance management, professional development and coaching of team. Interview, hire, train and coach new employees. Ensure services and products delivered exceed industry standards. Track client satisfaction (CSAT) and execute change where required to reflect higher, more positive results. Exercise effective communication with internal and external clients. Scope and quote all Creative development projects. Schedule and execute monthly team touchpoint and one-on-one meetings. Participate in pre-sales initiatives, revenue projections, internal cross-functional meetings and initiatives and more. Create new products and services that generate new revenue streams.</p>
                                </div>
                            </li>
                            <li>
                                <h3 class="title">Manager, Web Development</h3>
                                <p class="company">
                                    <span class="name">Blackboard</span>
                                    <span class="timeframe">April 2014 - May 2019</span>
                                </p>
                                <p class="location">State College, Pennsylvania / Remote</p>
                                <div class="description">
                                    <p>Lead a team of seven front-end web developers while also maintaining high performance as a front-end web developer for the K12 platform.</p>
                                    <p>Development:<br />Develop custom, responsive web solutions using HTML, CSS, JavaScript/jQuery, JSON(P), REST API’s, Git, various libraries and frameworks and more. Ensure that all solutions are developed and maintained for accessibility based on the latest Web Content Accessibility Guidelines (WCAG) and requirements of Section 508. Engineer solutions with object-oriented programming for optimal organization, performance, usability and scalability. Improve development and workflow efficiencies as tools, technologies and markets evolve. Work closely with other Creative developers to share knowledge and experiences to ultimately grow and excel collectively.</p>
                                    <p>Management:<br />Oversee execution of development projects and scheduling of service delivery. Exercise performance management, professional development and coaching of team. Interview, hire, train and coach new employees. Ensure services and products delivered meet or exceed industry standards. Track client satisfaction (CSAT) and suggest improvements to reflect higher, more positive results. Exercise effective communication with internal and external clients. Scope and quote all Creative development projects. Schedule and execute bi-monthly one-on-one meetings with team members. Participate in revenue projections, internal cross-functional meetings and initiatives and more. Create new products and services that generate new revenue streams.</p>
                                </div>
                            </li>
                            <li>
                                <h3 class="title">Web Developer II</h3>
                                <p class="company">
                                    <span class="name">Schoolwires (Blackboard)</span>
                                    <span class="timeframe">July 2013 - April 2014</span>
                                </p>
                                <p class="location">State College, Pennsylvania</p>
                                <div class="description">
                                    <p>Develop custom, responsive web templates and applications for K12 school districts using the most modern development techniques involving HTML, CSS, and JavaScript/jQuery. Migrate school district website templates from Centricity1 platform to Centricity2 platform. Develop, configure, and manage predesign template projects. Manage hourly projects as well as client-designed template projects. Participate in interviewing and hiring new web developers. Developed Schoolwires corporate website with 12 custom applications and four custom jQuery plugins. Mentor junior team members and help train new hires. Exercise effective communication with clients and employees of Schoolwires. Research and implement new web development technologies and techniques and share them with the development team. Participated in a six-session Project Management class offered by the Pennsylvania State University.</p>
                                </div>
                            </li>
                            <li>
                                <h3 class="title">Web Developer I</h3>
                                <p class="company">
                                    <span class="name">Schoolwires (Blackboard)</span>
                                    <span class="timeframe">May 2011 - July 2013</span>
                                </p>
                                <p class="location">State College, Pennsylvania</p>
                                <div class="description">
                                    <p>Develop custom web templates for K12 school districts using the most modern development techniques involving HTML, CSS, and JavaScript/jQuery. Migrate school district website templates from Centricity1 platform to Centricity2 platform. Develop, configure, and manage predesign template projects. Manage hourly projects as well as client-designed template projects. Participate in interviewing new web developers. Exercise effective communication with clients and employees of Schoolwires.</p>
                                </div>
                            </li>
                        </ul>
                    </div>
                </section>
                <section id="work-outer" class="section-parent">
                    <div id="work" class="section not-loaded">
                        <div id="work-overview">
                            <h2 class="section-title">Work Samples</h2>
                            <p>Here is a small collection of some of my most exciting work samples. I chose a variety of projects that cover a wide range of skills and experience. Click on an item to open the project detail window.</p>
                        </div>
                        <div id="work-samples">
                            <ul class="list-reset">
                                <li>
                                    <a href="#" role="button" class="work-sample-button portfolio-website-rebuild">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-portfolio"></span>
                                            <span class="work-sample-button-text">Portfolio Website Rebuild</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/portfolio-preview.jpg" alt="Porfolio website package.json file preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>Portfolio Website Rebuild</h3>
                                                <p>I'm very excited to showcase my new portfolio website! I designed this single-page site myself with several major focus points: accessibility, responsive and modern UI and fresh updated content and project samples. The parallax effects are developed with a mixture of custom JavaScript and the Animate.css library for lightweight effects. The accessibility features like the High Contrast Mode toggle, _blank target link warning tag, custom focus ring and ARIA usage help to illustrate my extensive knowledge and application of web accessibility.</p>
                                                <p>I custom developed this site with HTML, SCSS, object-oriented ES6 and used Head.js for some browser detection. I used npm to manage the project and all its dependencies and webpack to compile the SCSS and ES6 code. Babel (babel-loader) was used to compile the JavaScript and sass-loader to compile the SCSS. I also added an auto-prefixer with PostCSS and postcss-loader. Finally, I used nodemon for file watching for ease of use given that I set up multiple webpack configs for multiple file output locations. I used Git for version control and GitLab to host the repository as well as the site itself using CI/CD for GitLab Pages.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>SCSS</li>
                                                    <li>JavaScript (ES6)</li>
                                                    <li>jQuery</li>
                                                    <li>Babel</li>
                                                    <li>Webpack</li>
                                                    <li>Node.js</li>
                                                    <li>npm</li>
                                                    <li>Git</li>
                                                    <li>GitLab</li>
                                                    <li>Accessibility</li>
                                                    <li>Parallax</li>
                                                    <li>Responsive</li>
                                                    <li>Optimization</li>
                                                    <li>OOP</li>
                                                    <li>IcoMoon</li>
                                                    <li>Head.js</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://gitlab.com/brenton.kelly/portfolio-website" target="_blank">Portfolio Website Project Repo on GitLab</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button wcm-integrated-staff-directory-application">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-staff-directory"></span>
                                            <span class="work-sample-button-text">WCM Integrated Staff Directory Application</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/isd-preview.jpg" alt="WCM integrated staff directory application preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>WCM Integrated Staff Directory Application</h3>
                                                <p>The Blackboard K12 Web Community Manager Product team was in need of a new staff directory application that directly integrates with the Blackboard Communications directory solution. The application also required a method of sending secure emails to listed staff members along with maintaining an overall similar structure and feel to the existing Blackboard Communications directory solution.</p>
                                                <p>I wrote the entire development scope and quote for the project. Once approved, I began by planning the individual, manageable pieces of the application. I developed and tested each piece and wrapped with a full scale responsive and accessible staff directory solution.</p>
                                                <p>The application was custom built with HTML, CSS, object-oriented JavaScript and several Blackboard Communications API endpoints. It was built with a focus on accessibility, support for mobile devices and integrated with server-side tools for sending emails and ReCaptcha validation. The application was developed inside Web Community Manager's integrated development environment and tracked and managed via Jira and Confluence. I worked cross-functionally on this project with the WCM Product team.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>CSS</li>
                                                    <li>JavaScript</li>
                                                    <li>jQuery</li>
                                                    <li>Accessibility</li>
                                                    <li>Responsive</li>
                                                    <li>Optimization</li>
                                                    <li>OOP</li>
                                                    <li>Jira</li>
                                                    <li>Confluence</li>
                                                    <li>API</li>
                                                    <li>ASP.Net</li>
                                                    <li>Google ReCaptcha</li>
                                                    <li>Custom WCM Module</li>
                                                    <li>Cross-Functional</li>
                                                    <li>IcoMoon</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://creative-appd.schoolwires.net/Page/2543" target="_blank">WCM Integrated Staff Directory Application Demo</a></li>
                                                    <li><a href="https://codepen.io/brenton-kelly/pen/LYRKZxO" target="_blank">WCM ISD App Code on CodePen</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button page-builder-application">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-page-builder"></span>
                                            <span class="work-sample-button-text">Page Builder Application</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/page-builder-preview.jpg" alt="Page builder editor preview" />
                                                <img src="./dist/assets/page-builder-preview2.jpg" alt="Page builder editor responsive mode preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>Page Builder Application</h3>
                                                <p>The Page Builder application is a complex yet flexible application built using an extensive web builder framework. It is built for and used inside Blackboard's K12 CMS, Web Community Manager (WCM). It greatly extends content management functionality and possibilities by allowing users to build a wide range of structures and types of content that are both responsive and accessible. The Page Builder app can be used to build small single bits of content or complete, full pages of various structures, layouts and types of content like simple HTML headings, accordion's, video embeds, tabbed widgets, social media sharing buttons, image galleries and much more. It's even possible to edit content at each supported mobile viewport in Web Community Manager (768, 640, 480, and 320) as well as style each individual component using Style Manager. There's an endless range of possibilities offered in the Page Builder app.</p>
                                                <p>The application was developed with object-oriented JavaScript along with a highly customized implementation of GrapesJS as a base. All content blocks were custom developed with styling and trait options built and/or applied. The application also launched with 11 custom plugins built using grapesjs-cli. I built the Page Builder core as a jQuery plugin for portability, easy CDN hosting, simple implementation into other custom WCM applications and support for instantiating multiple instances of the app on a page if necessary. I used Git for version control and GitLab to host the project within the team resources/assets.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>CSS</li>
                                                    <li>JavaScript</li>
                                                    <li>jQuery</li>
                                                    <li>jQuery Plugin</li>
                                                    <li>Accessibility</li>
                                                    <li>Responsive</li>
                                                    <li>OOP</li>
                                                    <li>GrapesJS</li>
                                                    <li>grapesjs-cli</li>
                                                    <li>Node.js</li>
                                                    <li>npm</li>
                                                    <li>Git</li>
                                                    <li>GitLab</li>
                                                    <li>3rd-Party Integration</li>
                                                    <li>Custom WCM Module</li>
                                                    <li>IcoMoon</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://codepen.io/brenton-kelly/pen/JjRQKWr" target="_blank">Page Builder App on CodePen - End User View</a></li>
                                                    <li><a href="https://codepen.io/brenton-kelly/pen/ExgBymm" target="_blank">Page Builder App on CodePen - Back End Editor View</a></li>
                                                    <li><a href="https://codepen.io/brenton-kelly/pen/NWRZrgQ" target="_blank">Page Builder App on CodePen - jQuery Plugin</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button cerc-website">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-cerc-site"></span>
                                            <span class="work-sample-button-text">CERC Website</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/cerc-site-preview.jpg" alt="Community engagement resource center website preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>Community Engagement Resource Center Website</h3>
                                                <p>Blackboard was in need of a centralized website solution to publicly host help information/documentation for all K12 products and services. I wrote the entire development scope and quote and I worked cross-functionally with several other teams on the project. The Community Engagement Resource Center (CERC) website is a major resource portal for both internal and external clients and is one of Blackboard K12’s most visited websites.</p>
                                                <p>I custom developed the website with HTML, CSS, JavaScript and jQuery and it was built with a focus on accessibility and support for mobile devices. I used Head.js for some browser detection. I also developed 10 custom Web Community Manager modules for various content throughout the site. The site and custom modules were built inside WCM's integrated development environment. The project was managed and tracked via Trello.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>CSS</li>
                                                    <li>JavaScript</li>
                                                    <li>jQuery</li>
                                                    <li>Accessibility</li>
                                                    <li>Responsive</li>
                                                    <li>Custom WCM Modules</li>
                                                    <li>Trello</li>
                                                    <li>Cross-Functional</li>
                                                    <li>IcoMoon</li>
                                                    <li>Head.js</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://cerc.blackboard.com/" target="_blank">CERC Website</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button creative-kick-off-request-application">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-meeting-request"></span>
                                            <span class="work-sample-button-text">Creative Kick-Off Request Application</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/kick-off-request-preview.jpg" alt="Creative kick-Off request application website preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>Creative Kick-Off Request Application</h3>
                                                <p>The Creative Design team frequently schedules kick-off meetings with clients through a web-based scheduling form. The solution they were previously using was very inefficient and cumbersome in that it required updating at least every two days and sometimes even daily. The dates and meeting times were set manually and multiple bookings were a constant problem.</p>
                                                <p>The most important part of the project and ultimately an incredible time saver was building automation. I custom built the application with a Firebase backend that houses all of the scheduled meetings and settings for the application. The great thing about Firebase is that it allows the UI to be updated live as meetings are scheduled and settings are updated. The application is highly configurable for administrators allowing them to set specific recurring and non-recurring time frames and it updates live in Eastern Time no matter what time zone the user is in. I used Moment.js to handle time in the application given the importance of keeping everything in the Eastern Time zone. When a meeting request is submitted, an email is sent to the configured email address(es) in the application settings notifying them of the submission. The information is sent to a custom ASP email script via JSONP as the ASP server is cross-domain.</p>
                                                <p>I custom developed the application with HTML, CSS, JavaScript and jQuery. The application is responsive and is also fully accessible. I used Git for version control and GitLab to host the project within the team resources/assets.</p>
                                                <p>The time savings in managing the new solution as been huge for the designers. They have reported updating the previous solution a total of five to eight hours a week. With the new solution, they have reported a total of zero to 15 minutes a week - a 95% to 100% time savings.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>CSS</li>
                                                    <li>JavaScript</li>
                                                    <li>jQuery</li>
                                                    <li>JSONP</li>
                                                    <li>ASP</li>
                                                    <li>Firebase</li>
                                                    <li>Responsive</li>
                                                    <li>Accessibility</li>
                                                    <li>Git</li>
                                                    <li>GitLab</li>
                                                    <li>Moment.js</li>
                                                    <li>Efficiency</li>
                                                    <li>Usability</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://cerc.blackboard.com/CreativeServicesMeeting" target="_blank">Creative Kick-Off Request Application</a></li>
                                                    <li><a href="https://gitlab.com/bk-blackboard-projects/creative-kick-off-form" target="_blank">Creative Kick-Off Request Application Repo on GitLab</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button wcm-local-development-environment">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-dev-environment"></span>
                                            <span class="work-sample-button-text">WCM Local Development Environment</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/local-dev-preview.jpg" alt="WCM local development environment code preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>WCM Local Development Environment</h3>
                                                <p>The Web Community Manager (WCM) local development environment is an application used to develop website templates outside of WCM's integrated development environment. The WCM IDE has several limitations that this project resolves. It allows Creative Developers to very quickly initialize a new template project, develop with the latest ECMAScript standard, develop with SASS, compile with webpack and build the final template zip file all from the command line.</p>
                                                <p>A fellow colleague and I collaborated on this project. We developed the entire application with object-oriented PHP using classes and it runs with MAMP on localhost. It initially requests the specified WCM webpage and then executes a series of replacements and insertions to properly display locally. The application inserts the local HTML, compiled JavaScript and SCSS into the requested page. We built a caching mechanism to store the requested webpage which drastically improves application performance. There is a simple command available to clear the cache when needed.</p>
                                                <p>We used npm to manage the project and all its dependencies and webpack to compile the SCSS and ES6 code. Babel (babel-loader) was used to compile the JavaScript and sass-loader to compile the SCSS. We also added an auto-prefixer with PostCSS and postcss-loader. Finally, we used nodemon for file watching for ease of use given that we set up multiple webpack configs for multiple file output locations. We used Git for version control and GitLab to host the repository.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>SCSS</li>
                                                    <li>JavaScript (ES6)</li>
                                                    <li>jQuery</li>
                                                    <li>PHP</li>
                                                    <li>OOP</li>
                                                    <li>Node.js</li>
                                                    <li>npm</li>
                                                    <li>Babel</li>
                                                    <li>Webpack</li>
                                                    <li>Collaboration</li>
                                                    <li>Git</li>
                                                    <li>GitLab</li>
                                                    <li>Usability</li>
                                                    <li>Performance</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://gitlab.com/cs-tools/new-local-dev-skeleton" target="_blank">WCM Local Development Environment on GitLab</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button multimedia-gallery-application">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-multimedia-gallery"></span>
                                            <span class="work-sample-button-text">Multimedia Gallery Application</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/multimedia-gallery-preview.jpg" alt="Multimedia gallery application preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>Multimedia Gallery Application</h3>
                                                <p>The Multimedia Gallery is a responsive media gallery that displays images and embedded videos on any device and provides top-notch accessibility for all users. It allows for any size image to be uploaded so no more strict image dimensions for a gallery. The gallery will assume the width of the container it is placed in and the height will scale proportionally for each image as the gallery transitions from one slide to another. The gallery also allows a user to manage showing/hiding titles and captions on a per-record basis as well as set up an external link while providing custom link text, link url, and link target for each record if they choose to. Embedded videos display as a popup window on the end-user website. The video popup is triggered by a customized link that the user sets up in each record. Custom video link text is provided by the user along with the iframe video embed code that the user gets from a 3rd-party provider like YouTube or Vimeo. Video’s auto play through the use of an iframe url parameter that must be included in the embed code. YouTube and Vimeo are our most popular providers and the gallery actually adds the autoplay parameter for the user if they don’t have it included. We also add the autoplay parameter for TeacherTube embeds if they aren’t provided. A user can use iframe embed code from any provider so video support is nearly endless.</p>
                                                <p>The application was developed with object-oriented Javascript. The application is responsive and is also fully accessible. I built the application as a jQuery plugin for portability, easy CDN hosting, simple implementation and support for instantiating multiple instances of the app on a page if necessary. I used Git for version control and GitLab to host the project within the team resources/assets.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>CSS</li>
                                                    <li>JavaScript</li>
                                                    <li>jQuery</li>
                                                    <li>jQuery Plugin</li>
                                                    <li>Accessibility</li>
                                                    <li>Responsive</li>
                                                    <li>OOP</li>
                                                    <li>Git</li>
                                                    <li>GitLab</li>
                                                    <li>Custom WCM Module</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://codepen.io/brenton-kelly/pen/ExgByEv" target="_blank">Multimedia Gallery App on CodePen - End User View</a></li>
                                                    <li><a href="https://codepen.io/brenton-kelly/pen/YzGoWeO" target="_blank">Multimedia Gallery App on CodePen - jQuery Plugin</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button creative-services-image-editor">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-image-editor"></span>
                                            <span class="work-sample-button-text">Creative Services Image Editor</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/image-editor-preview.jpg" alt="Creative services image editor webpage" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>Creative Services Image Editor</h3>
                                                <p>I custom built this application so that the Creative Services team can provide clients a simple solution to a recurring problem. Clients often need to crop and resize imagery for their websites and many struggle with this task given that there aren't any simple editors available with only a small set of options that they need. Ease-of-use is a huge part of this struggle.</p>
                                                <p>I custom built the image editor using cropit.js as a foundation. The application resizes, crops, rotates, and mirrors. Cropit doesn't include a "mirror" option so I built it into the existing plugin. A client can set the dimensions they want to size their image(s) to and when uploaded, the user can drag the image around in the viewer to set the cropped area. The application will remember the dimensions that the user sets via a cookie. Also, when sharing the link to the application, you can preset the dimensions in the query string so the user is ready to go upon page load. The editor also supports EXIF meta data in uploaded images.</p>
                                                <p>When an image is prepared for download, the image information is retrieved through the cropit plugin as a base64 data URI and converted to a Blob object which is then applied to the "Download Cropped Image" button as an "href" attribute. The download is ultimately triggered upon click via the "download" attribute on the button. I custom designed this application and developed it with HTML, CSS, JavaScript and jQuery. I used Git for version control and GitLab to host the project within the team resources/assets.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>CSS</li>
                                                    <li>JavaScript</li>
                                                    <li>jQuery</li>
                                                    <li>Responsive</li>
                                                    <li>Accessibility</li>
                                                    <li>Git</li>
                                                    <li>GitLab</li>
                                                    <li>Efficiency</li>
                                                    <li>Usability</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="http://templatelibrary.schoolwires.net/imageEditor" target="_blank">Creative Services Image Editor</a></li>
                                                    <li><a href="https://gitlab.com/bk-blackboard-projects/creative-image-editor" target="_blank">Creative Services Image Editor Repo on GitLab</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                                <li>
                                    <a href="#" role="button" class="work-sample-button bell-schedule-application">
                                        <span class="work-sample-button-inner">
                                            <span class="work-sample-button-icon icon-bell-schedule"></span>
                                            <span class="work-sample-button-text">Bell Schedule Application</span>
                                        </span>
                                    </a>
                                    <template>
                                        <div class="work-sample-wrapper">
                                            <div class="work-sample-media image">
                                                <img src="./dist/assets/bell-schedule-preview.jpg" alt="Bell schedule application preview" />
                                            </div>
                                            <div class="work-sample-content">
                                                <h3>Bell Schedule Application</h3>
                                                <p>The Bell Schedule app is a custom Web Community Manager (WCM) module. It allows a school district to provide a minute-by-minute bell schedule for their end users. The application interfaces directly with a WCM-based calendar that is set inside the app. The WCM calendar is where day types are set and the Bell Schedule app displays the day type accordingly. A configuration file is used to define a series of default day types and periods for the district to use. A custom interface is used to build and populate the config file which is then uploaded to the district website. The district can either use the default day types in the app or define and manage their own custom set of day types and periods. They can also set and utilize an A-B Day schedule instead if desired. The highlighted period text color and background color are also custom managed inside the app. One nice aspect to this app is that it is set to a specific time zone. The district can set the app to display based on the time zone that they are in. The application then displays in that timezone no matter where the end user is in the world.</p>
                                                <p>I custom developed the application with HTML, CSS, object-oriented JavaScript and jQuery. Moment.js was used to set the timezone based on the setting applied inside the app. I used the WCM API to request the calendar data for the applied day types and then built the application UI based on that data. The application is responsive and is also fully accessible.</p>
                                                <ul class="work-sample-tags list-reset">
                                                    <li>HTML</li>
                                                    <li>CSS</li>
                                                    <li>JavaScript</li>
                                                    <li>jQuery</li>
                                                    <li>Responsive</li>
                                                    <li>Accessibility</li>
                                                    <li>Moment.js</li>
                                                    <li>WCM Custom Module</li>
                                                    <li>WCM API</li>
                                                    <li>OOP</li>
                                                </ul>
                                                <h4>See the Project</h4>
                                                <ul class="work-sample-links list-reset">
                                                    <li><a href="https://cerc.blackboard.com/Page/1336" target="_blank">Bell Schedule Application Demo</a></li>
                                                    <li><a href="https://codepen.io/brenton-kelly/pen/RwobOed" target="_blank">Bell Schedule Application Code on CodePen</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </template>
                                </li>
                            </ul>
                        </div>
                    </div>
                </section>
                <section id="contact-outer" class="section-parent">
                    <div id="contact" class="section">
                        <h2 class="section-title">Contact Me</h2>
                        <ul class="list-reset">
                            <li><span class="label">LinkedIn:</span> <a href="https://www.linkedin.com/in/brentonskelly/" target="_blank">https://www.linkedin.com/in/brentonskelly/</a></li>
                            <li><span class="label">GitHub:</span> <a href="https://github.com/brentonkelly1982" target="_blank">https://github.com/brentonkelly1982</a></li>
                            <li><span class="label">GitLab:</span> <a href="https://gitlab.com/brenton.kelly" target="_blank">https://gitlab.com/brenton.kelly</a></li>
                            <li><span class="label">Stack Overflow:</span> <a href="https://stackoverflow.com/users/8068091/bsk" target="_blank">https://stackoverflow.com/users/8068091/bsk</a></li>
                            <li><a href="#" id="email">Email Me</a></li>
                        </ul>
                    </div>
                </section>
            </main>
            <footer>
                &copy; 2009 - <script>document.write((new Date()).getFullYear());</script>, Brenton Kelly
            </footer>
        </div>
        <script type="text/javascript" src="./dist/js/compiled-index.js"></script>
    </body>
</html>
